# Enum Candidate.CandidateType

java.lang.Object
java.lang.Enum<Candidate.CandidateType>
de.javawi.jstun.test.demo.ice.Candidate.CandidateType

All Implemented Interfaces:
  `Serializable, Comparable<Candidate.CandidateType>, java.lang.constant.Constable`

Enclosing class:
  `Candidate`

public static enum Candidate.CandidateType extends Enum<Candidate.CandidateType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Local`
`PeerReflexive`
`Relayed`
`ServerReflexive`

## Method Summary

Modifier and Type
Method
Description
`static Candidate.CandidateType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Candidate.CandidateType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Local

public static final Candidate.CandidateType Local

### ServerReflexive

public static final Candidate.CandidateType ServerReflexive

### PeerReflexive

public static final Candidate.CandidateType PeerReflexive

### Relayed

public static final Candidate.CandidateType Relayed

## Method Details

### values

public static Candidate.CandidateType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Candidate.CandidateType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null